Galon Cloud
Galon API v1

/jobs/{job_id}/cancel

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

POST /jobs/{job_id}/cancel

Cancel a job

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
job_idpathstring · required

Responses

StatusDescriptionBody
200Job cancelledJobResponse
409Job in a terminal state

Examples

curl

curl -X POST "$GALON_API_BASE/jobs/<job_id>/cancel" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.jobs.cancel("<id>");

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.jobs.cancel("<id>")